Details
curl --request GET \
--url https://api.themoviedb.org/3/credit/{credit_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/credit/{credit_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/credit/{credit_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credit_type": "cast",
"department": "Acting",
"id": "52fe420ec3a36847f8000679",
"job": "Actor",
"media": {
"adult": false,
"backdrop_path": "/eCynaAOgYYiw5yN5lBwz3IxqvaW.jpg",
"character": "Marlin (voice)",
"genre_ids": [
16,
10751
],
"id": 12,
"media_type": "movie",
"original_language": "en",
"original_title": "Finding Nemo",
"overview": "Nemo, an adventurous young clownfish, is unexpectedly taken from his Great Barrier Reef home to a dentist's office aquarium. It's up to his worrisome father Marlin and a friendly but forgetful fish Dory to bring Nemo home -- meeting vegetarian sharks, surfer dude turtles, hypnotic jellyfish, hungry seagulls, and more along the way.",
"popularity": 112.205,
"poster_path": "/eHuGQ10FUzK1mdOY69wF5pGgEf5.jpg",
"release_date": "2003-05-30",
"title": "Finding Nemo",
"video": false,
"vote_average": 7.819,
"vote_count": 19336
},
"media_type": "movie",
"person": {
"adult": false,
"gender": 2,
"id": 13,
"known_for_department": "Acting",
"media_type": "person",
"name": "Albert Brooks",
"original_name": "Albert Brooks",
"popularity": 24.507,
"profile_path": "/8iDSGu5l93N7benjf6b3AysBore.jpg"
}
}Details
This endpoint get a movie or TV credit details.
GET
/
3
/
credit
/
{credit_id}
Details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A unique identifier for a specific credit entry in TMDB, used to retrieve detailed information about a cast or crew member’s contribution to a movie or TV show.
Example:
"52fe420ec3a36847f8000679"
⌘I